Subject: RE: SPAM: Re: RE: [Megaco] HOW to get package name

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 15 Mar 2002 10:15:11 -0500

And please remember that most Megaco implementations are text only,
with a very small number both text and binary, and none that I know
of that are binary only.  Making a binary-only implementation might 
lead you into a very small number of compatible implementations.

Megaco binary implementations have been shown to be slower and
to produce larger messages than text implementations.

Brian

> -----Original Message-----
> From: Madhu Babu Brahmanapally [mailto:[email-masked]]
> Sent: Friday, March 15, 2002 9:34 AM
> To: 'vidya g'; 'Rosen,Brian'
> Cc: [email-masked]
> Subject: RE: SPAM: Re: RE: [Megaco] HOW to get package name
> 
> 
> Hi,
> Definition of these structures are implementation specific. 
> Difficult to
> comment on one's implementation. But it seems that the 
> "PkgdName" structure
> is defined keeping the ASN syntax in mind. As the ASN defines   it as
> PkgdName ::= OCTET STRING(SIZE(4)). and hence the length 4 
> for the value.
> The ASN has description of what these 4 bytes are...
> 	  PkgdName ::= OCTET STRING(SIZE(4))
>    -- represents Package Name (2 octets) plus Property Name (2 octets)
>    -- To wildcard a package use 0xFFFF for first two octets, choose
>    -- is not allowed. To reference native property tag specified in
>    -- Annex C, use 0x0000 as first two octets.
>    -- Wildcarding of Package Name is permitted only if 
> Property Name is
>    -- also wildcarded.
> 
> 
> Hope this helps.
> Regards
> Madhubabu
> 
> -----Original Message-----
> From: vidya g [mailto:[email-masked]]
> Sent: Friday, March 15, 2002 9:26 AM
> To: Rosen,Brian
> Cc: Madhu Babu Brahmanapally; [email-masked]
> Subject: SPAM: Re: RE: [Megaco] HOW to get package name
> 
> 
> Hi
> 
>    I am sorry for not making the question clear.  SignalDescriptor
> data structure is given below
> 
> 
> 
> typedef struct SignalsDescriptor {
>      unsigned int    count;
>      struct SignalRequest *value;
> } SignalsDescriptor;
> 
> 
> typedef struct SignalRequest {
>      unsigned short  choice;
> #       define      signal_chosen 1
> #       define      seqSigList_chosen 2
>      union {
>          Signal          signal;  /* to choose, set choice to
> signal_chosen */
>          SeqSigList      seqSigList;  /* to choose, set choice
> to
>                                        * seqSigList_chosen */
>      } u;
> } SignalRequest;
> 
> 
> 
> typedef struct Signal {
>      unsigned char   bit_mask;
> #       define      Signal_streamID_present 0x80
> #       define      sigType_present 0x40
> #       define      duration_present 0x20
> #       define      notifyCompletion_present 0x10
> #       define      Signal_keepActive_present 0x08
>      SignalName      signalName;
>      StreamID        streamID;  /* optional; set in bit_mask
>                                  * Signal_streamID_present if
> present */
>      SignalType      sigType;  /* optional; set in bit_mask
> sigType_present if
>                                 * present */
>      unsigned short  duration;  /* optional; set in bit_mask
> duration_present if
>                                  * present */
>      NotifyCompletion notifyCompletion;  /* optional; set in
> bit_mask
>                                           *
> notifyCompletion_present if
>                                           * present */
>      ossBoolean      keepActive;  /* optional; set in bit_mask
>                                    * Signal_keepActive_present if
> present */
>      struct {
>          unsigned int    count;
>          struct SigParameter *value;
>      } sigParList;
> } Signal
> 
> 
>     In this I will be getting only SignalName which is defined
> below..
> 
> typedef PkgdName        SignalName;
> 
> typedef struct PkgdName {
>      unsigned short  length;
>      unsigned char   value[4];
> } PkgdName;
> 
>    here I am getting only 4 bytes values for one signal component.
> I feel it is nothing but signalID .. from
> this if I wanted to map the package how do I do that ..? If no
> signalIDs are duplicated in packages, I can search
> in the packages and get the corresponding package to set the
> signal. But I am not able to find the provision for the puting
> packageId and signalId .. that is my confusion ...
> 
> 
>     one more thing is What is this secondEventsDescriptor stands
> for .. ? what is the phisical meaning of that in hardware .. ?
> 
> regs
> vdy
> 
> 
> On Fri, 15 Mar 2002 Rosen, Brian wrote :
> >I'm confused by your question, but in any place you name a
> >signal,
> >you use the package name/signal name syntax.
> >
> >So Add=foo{Signals{pkg1/sig1, pkg2/sig2}}
> >
> >Brian
> >
> > > -----Original Message-----
> > > From: vidya g [mailto:[email-masked]]
> > > Sent: Friday, March 15, 2002 1:24 AM
> > > To: [email-masked]
> > > Cc: Madhu Babu Brahmanapally
> > > Subject: [Megaco] HOW to get package name
> > >
> > >
> > > Hi all
> > >
> > >      In AmmsDescriptor, if I am getting signal descriptor, I
> >have
> > > to apply those signals to the
> > > packages in my termination. But from signal how do I map to
> > > package or in other words, how do I get package name
> > > based on signal name .. ?
> > >
> > >
> > > vdy
> > >
> > > _______________________________________________
> > > Megaco mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/megaco
> > >
> 
> ---
> [This E-mail was scanned for viruses and is clean.]
> 
> 
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco